<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ospi2urdf: example Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ospi2urdf
   </div>
   <div id="projectbrief">Express .osim files as .urdf files.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">example Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a4f7aaadc743b4ab1dd0321e56cea2810"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample.html#a4f7aaadc743b4ab1dd0321e56cea2810">colheaders</a></td></tr>
<tr class="separator:a4f7aaadc743b4ab1dd0321e56cea2810"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a1a90139c2c8ab1fca0ea8b1790b7b2"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample.html#a3a1a90139c2c8ab1fca0ea8b1790b7b2">filename</a> = '/local/gmaldona/devel/Models/data/whole_body/wholebody.osim'</td></tr>
<tr class="separator:a3a1a90139c2c8ab1fca0ea8b1790b7b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada8a1467af9c541465452cecb5b48f08"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample.html#ada8a1467af9c541465452cecb5b48f08">gvs</a> = subprocess.Popen([&quot;./gepetto-viewer.sh&quot;,&quot;&amp;&quot;])</td></tr>
<tr class="separator:ada8a1467af9c541465452cecb5b48f08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a868d1c4a8c13a8fea7c4bb4ce346b065"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample.html#a868d1c4a8c13a8fea7c4bb4ce346b065">mesh_path</a> = '/local/gmaldona/devel/Models/data/whole_body/obj'</td></tr>
<tr class="separator:a868d1c4a8c13a8fea7c4bb4ce346b065"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a099b3b060154898840f0ebdfb46ec78f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample.html#a099b3b060154898840f0ebdfb46ec78f">q</a></td></tr>
<tr class="separator:a099b3b060154898840f0ebdfb46ec78f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fda9a46bab505c698d98c8ae6447185"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample.html#a0fda9a46bab505c698d98c8ae6447185">qOsim</a></td></tr>
<tr class="separator:a0fda9a46bab505c698d98c8ae6447185"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70c092a6aebace0b1ea406e14da78a40"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample.html#a70c092a6aebace0b1ea406e14da78a40">time</a></td></tr>
<tr class="separator:a70c092a6aebace0b1ea406e14da78a40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33c2d4acd1b3d2cc6afb273d183f1e7d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample.html#a33c2d4acd1b3d2cc6afb273d183f1e7d">viewer</a> = vw.Viewer('viewer',<a class="el" href="namespaceexample.html#ad105aa2ca5360f19e40e0463cee0b905">wb_model</a>)</td></tr>
<tr class="separator:a33c2d4acd1b3d2cc6afb273d183f1e7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad105aa2ca5360f19e40e0463cee0b905"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample.html#ad105aa2ca5360f19e40e0463cee0b905">wb_model</a> = wr.Wrapper(<a class="el" href="namespaceexample.html#a3a1a90139c2c8ab1fca0ea8b1790b7b2">filename</a>, <a class="el" href="namespaceexample.html#a868d1c4a8c13a8fea7c4bb4ce346b065">mesh_path</a>, name='whole-body_model1')</td></tr>
<tr class="separator:ad105aa2ca5360f19e40e0463cee0b905"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a4f7aaadc743b4ab1dd0321e56cea2810"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f7aaadc743b4ab1dd0321e56cea2810">&#9670;&nbsp;</a></span>colheaders</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">colheaders</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3a1a90139c2c8ab1fca0ea8b1790b7b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a1a90139c2c8ab1fca0ea8b1790b7b2">&#9670;&nbsp;</a></span>filename</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string filename = '/local/gmaldona/devel/Models/data/whole_body/wholebody.osim'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ada8a1467af9c541465452cecb5b48f08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ada8a1467af9c541465452cecb5b48f08">&#9670;&nbsp;</a></span>gvs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gvs = subprocess.Popen([&quot;./gepetto-viewer.sh&quot;,&quot;&amp;&quot;])</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a868d1c4a8c13a8fea7c4bb4ce346b065"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a868d1c4a8c13a8fea7c4bb4ce346b065">&#9670;&nbsp;</a></span>mesh_path</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string mesh_path = '/local/gmaldona/devel/Models/data/whole_body/obj'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a099b3b060154898840f0ebdfb46ec78f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a099b3b060154898840f0ebdfb46ec78f">&#9670;&nbsp;</a></span>q</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">q</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0fda9a46bab505c698d98c8ae6447185"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fda9a46bab505c698d98c8ae6447185">&#9670;&nbsp;</a></span>qOsim</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">qOsim</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a70c092a6aebace0b1ea406e14da78a40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70c092a6aebace0b1ea406e14da78a40">&#9670;&nbsp;</a></span>time</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">time</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a33c2d4acd1b3d2cc6afb273d183f1e7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33c2d4acd1b3d2cc6afb273d183f1e7d">&#9670;&nbsp;</a></span>viewer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">viewer = vw.Viewer('viewer',<a class="el" href="namespaceexample.html#ad105aa2ca5360f19e40e0463cee0b905">wb_model</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad105aa2ca5360f19e40e0463cee0b905"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad105aa2ca5360f19e40e0463cee0b905">&#9670;&nbsp;</a></span>wb_model</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">wb_model = wr.Wrapper(<a class="el" href="namespaceexample.html#a3a1a90139c2c8ab1fca0ea8b1790b7b2">filename</a>, <a class="el" href="namespaceexample.html#a868d1c4a8c13a8fea7c4bb4ce346b065">mesh_path</a>, name='whole-body_model1')</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
